AgentCreateException (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.shared.AgentCreateException class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.shared
Class AgentCreateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.hyperic.util.NestedException
                  org.hyperic.hq.common.ApplicationException
                      org.hyperic.hq.common.CreateFailedException
                          org.hyperic.hq.appdef.shared.AgentCreateException

All Implemented Interfaces:
  java.io.Serializable

    public class AgentCreateException

extends CreateFailedException

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.util.NestedException
`_exception`

Constructor Summary
`AgentCreateException()`
`AgentCreateException(java.lang.Exception e)`
`AgentCreateException(java.lang.String s)`
`AgentCreateException(java.lang.String s, java.lang.Throwable t)`
`AgentCreateException(java.lang.Throwable t)`

Method Summary

Methods inherited from class org.hyperic.util.NestedException
`addException, getExceptionOfType`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AgentCreateException

    public AgentCreateException()

### AgentCreateException

    public AgentCreateException(java.lang.String s)

### AgentCreateException

    public AgentCreateException(java.lang.Exception e)

### AgentCreateException

    public AgentCreateException(java.lang.Throwable t)

### AgentCreateException

    public AgentCreateException(java.lang.String s,
                                java.lang.Throwable t)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.